Page MenuHomePhabricator

Allow the llvm bindings to be disabled
ClosedPublic

Authored by v.g.vassilev on Jan 13 2018, 2:39 AM.

Details

Summary

There was some demand for this over the years, for example here.

My personal opinion is that bindings should be off by default because I doubt the majority of users need it.

This patch also helps a little when trying to fit the compilation of LLVM on the tight public infrastructures (such as travis).

Diff Detail

Repository
rL LLVM

Event Timeline

v.g.vassilev created this revision.Jan 13 2018, 2:39 AM
pcc added a comment.Feb 21 2018, 10:59 AM

My personal opinion is that bindings should be off by default because I doubt the majority of users need it.

LLVM has plenty of features that the majority of users do not use. We still build and test them by default because we want to prevent developers from breaking them by accident. The same applies to the bindings. If a particular user has trouble with the bindings, they can always turn them off themselves.

Reading back the patch, we are turning on the bindings by default ;)

pcc accepted this revision.Feb 23 2018, 2:20 PM

Ah, LGTM then.

This revision is now accepted and ready to land.Feb 23 2018, 2:20 PM
Closed by commit rL332816: [cmake] Add a switch to enable/disable bindings. (authored by vvassilev, committed by ). · Explain WhyMay 20 2018, 1:41 AM
This revision was automatically updated to reflect the committed changes.

I took the liberty to add the option to the cmake doc
https://reviews.llvm.org/rL366204

Herald added a project: Restricted Project. · View Herald TranscriptJul 16 2019, 4:59 AM